Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.scheduling
Class JobMailNotification

    java.lang.Object
      com.jaspersoft.jasperserver.ws.scheduling.JobMailNotification

All Implemented Interfaces:
  java.io.Serializable

    public class JobMailNotification

extends java.lang.Object
implements java.io.Serializable

JobMailNotification.java This file was auto-generated from WSDL by the Apache Axis 1.3 Oct 05, 2005 (05:23:37 EDT) WSDL2Java emitter.

See Also:
  Serialized Form

Constructor Summary
`JobMailNotification()`
`JobMailNotification(long id, int version, java.lang.String[] toAddresses, java.lang.String subject, java.lang.String messageText, ResultSendType resultSendType, boolean skipEmptyReports)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`long` | `getId()` Gets the id value for this JobMailNotification.
`java.lang.String` | `getMessageText()` Gets the messageText value for this JobMailNotification.
`ResultSendType` | `getResultSendType()` Gets the resultSendType value for this JobMailNotification.
`java.lang.String` | `getSubject()` Gets the subject value for this JobMailNotification.
`java.lang.String[]` | `getToAddresses()` Gets the toAddresses value for this JobMailNotification.
`int` | `getVersion()` Gets the version value for this JobMailNotification.
`int` | `hashCode()`
`boolean` | `isSkipEmptyReports()` Gets the skipEmptyReports value for this JobMailNotification.
`void` | `setId(long id)` Sets the id value for this JobMailNotification.
`void` | `setMessageText(java.lang.String messageText)` Sets the messageText value for this JobMailNotification.
`void` | `setResultSendType(ResultSendType resultSendType)` Sets the resultSendType value for this JobMailNotification.
`void` | `setSkipEmptyReports(boolean skipEmptyReports)` Sets the skipEmptyReports value for this JobMailNotification.
`void` | `setSubject(java.lang.String subject)` Sets the subject value for this JobMailNotification.
`void` | `setToAddresses(java.lang.String[] toAddresses)` Sets the toAddresses value for this JobMailNotification.
`void` | `setVersion(int version)` Sets the version value for this JobMailNotification.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobMailNotification

    public JobMailNotification()

### JobMailNotification

    public JobMailNotification(long id,
                               int version,
                               java.lang.String[] toAddresses,
                               java.lang.String subject,
                               java.lang.String messageText,
                               ResultSendType resultSendType,
                               boolean skipEmptyReports)

Method Detail

### getId

    public long getId()

  Gets the id value for this JobMailNotification.

  Returns:
    id

### setId

    public void setId(long id)

  Sets the id value for this JobMailNotification.

  Parameters:
    `id` -

### getVersion

    public int getVersion()

  Gets the version value for this JobMailNotification.

  Returns:
    version

### setVersion

    public void setVersion(int version)

  Sets the version value for this JobMailNotification.

  Parameters:
    `version` -

### getToAddresses

    public java.lang.String[] getToAddresses()

  Gets the toAddresses value for this JobMailNotification.

  Returns:
    toAddresses

### setToAddresses

    public void setToAddresses(java.lang.String[] toAddresses)

  Sets the toAddresses value for this JobMailNotification.

  Parameters:
    `toAddresses` -

### getSubject

    public java.lang.String getSubject()

  Gets the subject value for this JobMailNotification.

  Returns:
    subject

### setSubject

    public void setSubject(java.lang.String subject)

  Sets the subject value for this JobMailNotification.

  Parameters:
    `subject` -

### getMessageText

    public java.lang.String getMessageText()

  Gets the messageText value for this JobMailNotification.

  Returns:
    messageText

### setMessageText

    public void setMessageText(java.lang.String messageText)

  Sets the messageText value for this JobMailNotification.

  Parameters:
    `messageText` -

### getResultSendType

    public ResultSendType getResultSendType()

  Gets the resultSendType value for this JobMailNotification.

  Returns:
    resultSendType

### setResultSendType

    public void setResultSendType(ResultSendType resultSendType)

  Sets the resultSendType value for this JobMailNotification.

  Parameters:
    `resultSendType` -

### isSkipEmptyReports

    public boolean isSkipEmptyReports()

  Gets the skipEmptyReports value for this JobMailNotification.

  Returns:
    skipEmptyReports

### setSkipEmptyReports

    public void setSkipEmptyReports(boolean skipEmptyReports)

  Sets the skipEmptyReports value for this JobMailNotification.

  Parameters:
    `skipEmptyReports` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.